# Interface Compilation

An individual compilation.

#### Hierarchy

- Compilation

- Defined in codec/lib/compilations/types.ts:18

#####
Index

### Properties

compiler?
contracts
id
settings?
sources
unreliableSourceOrder?

## Properties

### `Optional` compiler

compiler?: CompilerVersion

The compiler used in the compilation. For internal compatibility purposes, this may technically be left out if the compiler is instead specified on each source and contract, but please don't actually do that.

- Defined in codec/lib/compilations/types.ts:45

### contracts

contracts: Contract[]

A list of contracts involved in the compilation.

- Defined in codec/lib/compilations/types.ts:39

### id

id: string

The compilation's ID.

- Defined in codec/lib/compilations/types.ts:22

### `Optional` settings

settings?: Settings

The settings used in the compilation. Works similarly to the compiler field. May be omitted.

- Defined in codec/lib/compilations/types.ts:50

### sources

sources: Source[]

A list of sources involved in the compilation. These must be ordered according to their compilation indices. (If there is for some reason a gap in the compilation indices, a corresponding gap must be left in the sources array.)

- Defined in codec/lib/compilations/types.ts:35

### `Optional` unreliableSourceOrder

unreliableSourceOrder?: boolean

This field is a compatibility hack only intended for internal use. It indicates that the order on the sources should be disregarded and disables functionality that relies on such an order. (E.g., the debugger will throw an exception if this is set.)

- Defined in codec/lib/compilations/types.ts:29

Generated using TypeDoc